package osoby;

import java.time.DayOfWeek;
import java.time.LocalDate;
import java.time.LocalDateTime;
import java.time.Period;
import java.time.format.TextStyle;
import java.util.Locale;

public class Wydzielanie {
    public static final String FIRMA = "ALX";
    private final Osoba osoba = new Osoba("Ala", "Kowalska", LocalDate.now());

    public static void main(String[] args) {
        final LocalDateTime now = LocalDateTime.now();
        System.out.println("Teraz jest " + now);
        System.out.println("Bieżąca sekunda " + now.getSecond());
        System.out.println(FIRMA);

        DayOfWeek dayOfWeek = now.getDayOfWeek();
        System.out.println(dayOfWeek);
        System.out.println(dayOfWeek.getDisplayName(TextStyle.FULL, Locale.US));

        new Wydzielanie().run();
        String firma = FIRMA;
        System.out.println("Witamy w firmie " + firma);
    }

    private void run() {
        System.out.print(FIRMA);
        System.out.println(" spoko loko");

        System.out.println(osoba);
        System.out.println(osoba.getImie() + " " + osoba.getNazwisko());

        wypiszWiek();
        System.out.println("Kursy " + FIRMA + " z Javy i Pythona");
    }

    private void wypiszWiek() {
        int wiek = Period.between(osoba.getDataUrodzenia(), LocalDate.now()).getYears();
        System.out.println("Osoba " + osoba.getImie() + " ma " + wiek + " lat.");
        System.out.println("Kursy " + FIRMA + " z SQL, Javy i Pythona");
    }

}
